SystemOrganization addCategory: #'DBZ tp'!

Object subclass: #Bueno
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'DBZ tp'!

!Bueno methodsFor: 'as yet unclassified' stamp: ''!
cedeSemilla
	^ self coleccionSemillasHermitanio size > 0! !

!Bueno methodsFor: 'as yet unclassified' stamp: ''!
cedeSemilla: unGuerrero 
	^ self coleccionSemillasHermitanio size > 1
		& (self aliados includes: unGuerrero) ! !

!Bueno methodsFor: 'as yet unclassified' stamp: ''!
cedeSemilla: unGuerrero A: otroGuerrero 
	^ unGuerrero coleccionSemillasHermitanio size > 0
		& (unGuerrero aliados includes: otroGuerrero)! !

!Bueno methodsFor: 'as yet unclassified' stamp: ''!
tieneSentidoPedirDeseoPor: guerrero 
	^ guerrero aliados
		anySatisfy: [:unAliado | unAliado seMurio]! !

Object subclass: #ErrorPoder
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'DBZ tp'!

!ErrorPoder methodsFor: 'as yet unclassified' stamp: ''!
metodo: unGuerrero hace: unPoder 
	^ (unGuerrero puedeHacerPoder: unPoder) not! !

Object subclass: #ErrorSemilla
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'DBZ tp'!

Object subclass: #Esfera
	instanceVariableNames: 'cantidadEstrellas'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'DBZ tp'!

!Esfera methodsFor: 'as yet unclassified' stamp: ''!
cantidadEstrellas
	^ cantidadEstrellas! !

!Esfera methodsFor: 'as yet unclassified' stamp: ''!
cantidadEstrellas: unaCantidad 
	cantidadEstrellas := unaCantidad! !

Object subclass: #Guerrero
	instanceVariableNames: 'energia puntosVida nivelPelea coleccionSemillasHermitanio aliados bandoContrario puntosVidaPerdidos puntosAtaqueRecibidos puntosAtaquesRecibidos llevaPuesto recibeAtaque unTraje poderesConocidos cantidadAtaquesRecibidos ataquesRecibidos ataque unAtaque poder poderMaximo vidaPerdida coleccionEsferas aliado esfera'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'DBZ tp'!

Guerrero class
	instanceVariableNames: 'coleccionSemillasHermitanio puntosAtaqueRecibidos ataquesRecibidos unosPuntos unPoder'!

Guerrero class
	instanceVariableNames: 'coleccionSemillasHermitanio puntosAtaqueRecibidos ataquesRecibidos unosPuntos unPoder'!

!Guerrero methodsFor: 'as yet unclassified' stamp: ''!
agregarEsferaColeccion: unaEsfera 
	coleccionEsferas add: unaEsfera! !

!Guerrero methodsFor: 'as yet unclassified' stamp: ''!
agregarSemillaColeccion: unaSemilla 
	coleccionSemillasHermitanio add: unaSemilla! !

!Guerrero methodsFor: 'as yet unclassified' stamp: ''!
aliados
	^ aliados! !

!Guerrero methodsFor: 'as yet unclassified' stamp: ''!
aliados: unaBag 
	aliados := unaBag! !

!Guerrero methodsFor: 'as yet unclassified' stamp: ''!
aliadosMuertos
	^ aliados
		select: [:unGuerrero | unGuerrero seMurio]! !

!Guerrero methodsFor: 'as yet unclassified' stamp: ''!
aliadosVivos
	^ aliados
		reject: [:aliado | aliado seMurio] ! !

!Guerrero methodsFor: 'as yet unclassified' stamp: ''!
aliarCon: unGuerrero 
	(self puedeAliarse: unGuerrero)
			& (unGuerrero puedeAliarse: self)
		ifTrue: [aliados add: unGuerrero.
			unGuerrero aliados add: self]! !

!Guerrero methodsFor: 'as yet unclassified' stamp: ''!
aprende: unPoder 
	poderesConocidos add: unPoder! !

!Guerrero methodsFor: 'as yet unclassified' stamp: ''!
atacarCon: unPoder a: unGuerrero 
	^ (self puedeHacerPoder: unPoder)
		ifTrue: [unGuerrero recibe: unPoder De: self]
		ifFalse: [ErrorPoder new signal: 'No se puede guachin']! !

!Guerrero methodsFor: 'as yet unclassified' stamp: '123 10/28/2013 02:50'!
atacarCon: unPoder deAlMenos: unosPuntosAtaque 
	^ self! !

!Guerrero methodsFor: 'as yet unclassified' stamp: ''!
atacarCon: unPoder menorQue: unosPuntosAtaque 
	^ self! !

!Guerrero methodsFor: 'as yet unclassified' stamp: '123 10/28/2013 02:45'!
atacarConMaximoPoderA: unGuerrero 
		poderesConocidos select: [: unPoder| unGuerrero puedeHacerPoder: unPoder ].
			poderMaximo := ( poderesConocidos	detectMax: [:elPoder | elPoder puntosAtaque: self]).
	self atacarCon: poderMaximo a: unGuerrero! !

!Guerrero methodsFor: 'as yet unclassified' stamp: ''!
ataquesRecibidos
	^ ataquesRecibidos! !

!Guerrero methodsFor: 'as yet unclassified' stamp: ''!
ataquesRecibidos: unaBag 
	ataquesRecibidos := unaBag! !

!Guerrero methodsFor: 'as yet unclassified' stamp: ''!
bandoContrario
	^ bandoContrario! !

!Guerrero methodsFor: 'as yet unclassified' stamp: ''!
bandoContrario: unaBag 
	bandoContrario := unaBag! !

!Guerrero methodsFor: 'as yet unclassified' stamp: ''!
calculoAtaquesRecibidos
	^ ataquesRecibidos size // 3 ! !

!Guerrero methodsFor: 'as yet unclassified' stamp: ''!
cantidadAtaquesRecibidos: unaCant 
	cantidadAtaquesRecibidos := unaCant! !

!Guerrero methodsFor: 'as yet unclassified' stamp: ''!
cantidadSemillasHermitanio
	^ coleccionSemillasHermitanio size ! !

!Guerrero methodsFor: 'as yet unclassified' stamp: ''!
cedeLasEsferasA: unGuerrero 
	self AliadosVivos > 6
		ifTrue: [7
				timesRepeat: [self cederEsferaAAliado]]! !

!Guerrero methodsFor: 'as yet unclassified' stamp: ''!
cederEsferaAAliado
	aliado := aliados anyOne.
	esfera := coleccionEsferas anyOne.
	aliado agregarEsferaColeccion: esfera.
	coleccionEsferas remove: esfera! !

!Guerrero methodsFor: 'as yet unclassified' stamp: ''!
coleccionEsferas
	^ coleccionEsferas! !

!Guerrero methodsFor: 'as yet unclassified' stamp: ''!
coleccionEsferas: unaBag 
	coleccionEsferas := unaBag! !

!Guerrero methodsFor: 'as yet unclassified' stamp: ''!
coleccionSemillasHermitanio
	^ coleccionSemillasHermitanio! !

!Guerrero methodsFor: 'as yet unclassified' stamp: ''!
coleccionSemillasHermitanio: unaBag 
	coleccionSemillasHermitanio := unaBag! !

!Guerrero methodsFor: 'as yet unclassified' stamp: ''!
come: semillaHermitanio 
	(self puedeComer: semillaHermitanio)
		ifTrue: [self puntosVida: 1000.
			energia := self nivelPelea * 5 // 100 + self puntosExtra + self energia.
			coleccionSemillasHermitanio remove: semillaHermitanio]
		ifFalse: [ErrorSemilla new signal
			"no se puede guachin"]! !

!Guerrero methodsFor: 'as yet unclassified' stamp: ''!
elYAliadosTienenTodasLasEsferas
	^ self sumaEstrellasEsferas + self sumaEstrellasAliados = 28 ! !

!Guerrero methodsFor: 'accessing' stamp: ''!
energia
	^ energia! !

!Guerrero methodsFor: 'as yet unclassified' stamp: ''!
energia: unaCantidad 
	energia := unaCantidad! !

!Guerrero methodsFor: 'as yet unclassified' stamp: ''!
estaMoribundo
	^ self puntosVida <= 50 ! !

!Guerrero methodsFor: 'as yet unclassified' stamp: ''!
initialize
	super initialize.
	coleccionSemillasHermitanio := Bag new.
	self energia: 200.
	self puntosVida: 1000.
	ataquesRecibidos := Bag new.
	poderesConocidos := Bag new.
	coleccionEsferas := Bag new! !

!Guerrero methodsFor: 'as yet unclassified' stamp: ''!
llevaPuesto
	^ llevaPuesto! !

!Guerrero methodsFor: 'as yet unclassified' stamp: ''!
llevaPuesto: unTraje 
	llevaPuesto := unTraje! !

!Guerrero methodsFor: 'accessing' stamp: ''!
nivelPelea
	^ nivelPelea! !

!Guerrero methodsFor: 'as yet unclassified' stamp: ''!
nivelPelea: unNivel 
	nivelPelea := unNivel! !

!Guerrero methodsFor: 'as yet unclassified' stamp: ''!
pedir: unaSemilla A: unGuerrero 
	self cantidadSemillasHermitanio = 0
			& (self aliados includes: unGuerrero)
			& (unGuerrero bando cedeSemilla: unGuerrero A: self)
		ifTrue: [unGuerrero coleccionSemillasHermitanio remove: unaSemilla.
			self coleccionSemillasHermitanio add: unaSemilla]
		ifFalse: [Error new signal]! !

!Guerrero methodsFor: 'accessing' stamp: ''!
poderesConocidos
	^ poderesConocidos! !

!Guerrero methodsFor: 'as yet unclassified' stamp: ''!
poderesConocidos: unaBag 
	poderesConocidos := unaBag! !

!Guerrero methodsFor: 'as yet unclassified' stamp: ''!
puedeAtacarA: unGuerrero 
	^ (aliados includes: unGuerrero) not ! !

!Guerrero methodsFor: 'as yet unclassified' stamp: ''!
puedeComer: unaSemilla 
	^ (coleccionSemillasHermitanio
		anySatisfy: [:semilla | semilla = unaSemilla])
		& (self energia < 200) ! !

!Guerrero methodsFor: 'as yet unclassified' stamp: ''!
puedeHacerPoder: unPoder 
	^ (poderesConocidos
		anySatisfy: [:algunPoder | algunPoder = unPoder])
		& (unPoder puedeHacerlo: self)! !

!Guerrero methodsFor: 'as yet unclassified' stamp: ''!
puedeLlamarAShenLong
	^ self elYAliadosTienenTodasLasEsferas & (self energia > 50) & self tieneSentidoDesear! !

!Guerrero methodsFor: 'as yet unclassified' stamp: ''!
puedeRealizarPoderes
	^ poderesConocidos
		select: [:unPoder | self puedeHacerPoder: unPoder] ! !

!Guerrero methodsFor: 'accessing' stamp: ''!
puntosVida
	^ puntosVida! !

!Guerrero methodsFor: 'as yet unclassified' stamp: ''!
puntosVida: unaCantidad 
	puntosVida := unaCantidad! !

!Guerrero methodsFor: 'as yet unclassified' stamp: ''!
recibe: algunPoder De: otroGuerrero 
	ataquesRecibidos add: algunPoder.
	puntosVida := self puntosVida
				- (self vidaPerdidaPor: algunPoder De: otroGuerrero)! !

!Guerrero methodsFor: 'as yet unclassified' stamp: ''!
sacarleEsferasA: enemigo 
	coleccionEsferas addAll: enemigo coleccionEsferas.
	enemigo seQuedaSinEsferas! !

!Guerrero methodsFor: 'as yet unclassified' stamp: ''!
seMurio
	^ self puntosVida <= 0 ! !

!Guerrero methodsFor: 'as yet unclassified' stamp: ''!
sumaEstrellasAliados
	^ aliados
		sum: [:unGuerrero | unGuerrero sumaEstrellasEsferas]! !

!Guerrero methodsFor: 'as yet unclassified' stamp: ''!
sumaEstrellasEsferas
	^ coleccionEsferas
		sum: [:esfera | esfera cantidadEstrellas]! !

!Guerrero methodsFor: 'as yet unclassified' stamp: ''!
tieneEnergiaPara: unPoder 
	self energia > unPoder energiaNecesaria! !

!Guerrero methodsFor: 'as yet unclassified' stamp: ''!
tieneSentidoQuePidaDeseo
	^ self bando tieneSentidoPedirDeseoPor: self ! !

!Guerrero methodsFor: 'as yet unclassified' stamp: ''!
tieneTodasLasEsferas
	^ self sumaEstrellasEsferas = 28! !

!Guerrero methodsFor: 'as yet unclassified' stamp: ''!
vidaPerdidaPor: unPoder De: unGuerrero 
	^ (unPoder puntosAtaque: unGuerrero)
		- (llevaPuesto pasaUnDaoDe: unPoder De: unGuerrero)
		+ (self resistenciaDe: unPoder)! !

Guerrero subclass: #Monstruo
	instanceVariableNames: 'otroGuerrero puedeAliarse puntosPelea aliados'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'DBZ tp'!

!Monstruo methodsFor: 'as yet unclassified' stamp: ''!
bando
	^ Malo new ! !

!Monstruo methodsFor: 'as yet unclassified' stamp: ''!
puedeAliarse: unGuerrero 
	^ unGuerrero ~= self! !

!Monstruo methodsFor: 'as yet unclassified' stamp: ''!
resistenciaDe: unPoder 
	^ 20 ! !

Guerrero subclass: #Saiyajin
	instanceVariableNames: 'aliados bandoContrario puntosPelea oponentes bando gohan'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'DBZ tp'!

Saiyajin class
	instanceVariableNames: 'unGuerrero aliados gohan'!

Saiyajin class
	instanceVariableNames: 'unGuerrero aliados gohan'!

!Saiyajin methodsFor: 'as yet unclassified' stamp: ''!
bando
	^ bando! !

!Saiyajin methodsFor: 'as yet unclassified' stamp: ''!
bando: unBando 
	bando := unBando! !

!Saiyajin methodsFor: 'as yet unclassified' stamp: ''!
initialize
	^ self! !

!Saiyajin methodsFor: 'as yet unclassified' stamp: ''!
puedeAliarse: guerrero 
	^ (guerrero aliados
		sum: [:unAliado | unAliado nivelPelea])
		> self nivelPelea & (guerrero ~= self)! !

!Saiyajin methodsFor: 'as yet unclassified' stamp: ''!
puntosExtra
	^ 100 * aliados size! !

!Saiyajin methodsFor: 'as yet unclassified' stamp: ''!
resistenciaDe: unPoder 
	^ (unPoder puntosAtaque: self)
		* 0.1 + (self energia * 0.02) ! !

Guerrero subclass: #Terricola
	instanceVariableNames: 'otroGuerrero puedeAliarse s aliados'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'DBZ tp'!

Terricola class
	instanceVariableNames: 'unGuerrero aliados'!

Terricola class
	instanceVariableNames: 'unGuerrero aliados'!

!Terricola methodsFor: 'as yet unclassified' stamp: ''!
bando
	^ Bueno new ! !

!Terricola methodsFor: 'as yet unclassified' stamp: ''!
puedeAliarse: unGuerrero 
	^ unGuerrero bando class = Bueno & (unGuerrero ~= self)! !

!Terricola methodsFor: 'as yet unclassified' stamp: ''!
puntosExtra
	^ self energia: self energia + 200! !

!Terricola methodsFor: 'as yet unclassified' stamp: ''!
resistenciaDe: unPoder 
	^ (unPoder puntosAtaque: self)
		* 0.05! !

Object subclass: #Malo
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'DBZ tp'!

!Malo methodsFor: 'as yet unclassified' stamp: ''!
cedeSemilla
	^ self cantidadSemillasHermitanio > 1 ! !

!Malo methodsFor: 'as yet unclassified' stamp: ''!
cedeSemilla: unGuerrero 
	^ self coleccionSemillasHermitanio size > 1
		& (self aliados includes: unGuerrero) ! !

!Malo methodsFor: 'as yet unclassified' stamp: ''!
cedeSemilla: unGuerrero A: otroGuerrero 
	^ unGuerrero coleccionSemillasHermitanio size > 1
		& (unGuerrero aliados includes: otroGuerrero)! !

!Malo methodsFor: 'as yet unclassified' stamp: ''!
tieneSentidoPedirDeseoPor: guerrero 
	^ true ! !

Object subclass: #PoderColectivos
	instanceVariableNames: 'minimoAliadosVivos energiaColectivaMinima energiaPorAliadoMinima'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'DBZ tp'!

!PoderColectivos methodsFor: 'as yet unclassified' stamp: ''!
autoDao: unGuerrero 
	^ 0 ! !

!PoderColectivos methodsFor: 'as yet unclassified' stamp: ''!
energiaNecesariaDe: unGuerrero 
	^ 200 + self energiaPorAliadoMinima * self minimoAliadosVivos ! !

!PoderColectivos methodsFor: 'as yet unclassified' stamp: ''!
energiaPorAliadoMinima
	^ energiaPorAliadoMinima! !

!PoderColectivos methodsFor: 'as yet unclassified' stamp: ''!
energiaPorAliadoMinima: unaCantidad 
	energiaPorAliadoMinima := unaCantidad! !

!PoderColectivos methodsFor: 'as yet unclassified' stamp: ''!
minimoAliadosVivos
	^ minimoAliadosVivos! !

!PoderColectivos methodsFor: 'as yet unclassified' stamp: ''!
minimoAliadosVivos: unaCantidad 
	minimoAliadosVivos := unaCantidad! !

!PoderColectivos methodsFor: 'as yet unclassified' stamp: ''!
puedeHacerlo: unGuerrero 
	^ unGuerrero energia > 200 & (unGuerrero aliados size > self minimoAliadosVivos) & unGuerrero aliados
		allSatisfy: [:aliado | aliado energia > self energiaPorAliadoMinima]! !

!PoderColectivos methodsFor: 'as yet unclassified' stamp: ''!
puntosAtaque: unGuerrero 
	^ unGuerrero aliados size * self energiaPorAliadoMinima + 200 ! !

Object subclass: #PoderLiviano
	instanceVariableNames: 'puntosAtaque unosAtaque potencia unAtaque puntosDao'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'DBZ tp'!

!PoderLiviano methodsFor: 'as yet unclassified' stamp: ''!
autoDao: unGuerrero 
	^ 0 ! !

!PoderLiviano methodsFor: 'as yet unclassified' stamp: ''!
energiaNecesariaDe: unGuerrero 
	^ 50 ! !

!PoderLiviano methodsFor: 'as yet unclassified' stamp: ''!
puedeHacerlo: unGuerrero 
	^ unGuerrero energia
		> (self energiaNecesariaDe: unGuerrero) ! !

!PoderLiviano methodsFor: 'as yet unclassified' stamp: ''!
puntosAtaque: unGuerrero 
	^ self puntosDao ! !

!PoderLiviano methodsFor: 'as yet unclassified' stamp: ''!
puntosAtaquePor: unGuerrero 
	^ self puntosDao ! !

!PoderLiviano methodsFor: 'as yet unclassified' stamp: ''!
puntosDao
	^ puntosDao! !

!PoderLiviano methodsFor: 'as yet unclassified' stamp: ''!
puntosDao: unosPuntos 
	puntosDao := unosPuntos! !

Object subclass: #PoderPotente
	instanceVariableNames: 'potencia'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'DBZ tp'!

!PoderPotente methodsFor: 'as yet unclassified' stamp: ''!
autoDao: unGuerrero 
	^ 0 ! !

!PoderPotente methodsFor: 'as yet unclassified' stamp: ''!
energiaNecesaria
	^ 0! !

!PoderPotente methodsFor: 'as yet unclassified' stamp: ''!
energiaNecesariaDe: unGuerrero 
	^ unGuerrero energia * 0.25 ! !

!PoderPotente methodsFor: 'as yet unclassified' stamp: ''!
potencia
	^ potencia! !

!PoderPotente methodsFor: 'as yet unclassified' stamp: ''!
potencia: unaPotencia 
	potencia := unaPotencia! !

!PoderPotente methodsFor: 'as yet unclassified' stamp: ''!
puedeHacerlo: unGuerrero 
	^ true ! !

!PoderPotente methodsFor: 'as yet unclassified' stamp: ''!
puntosAtaque: unGuerrero 
	^ unGuerrero nivelPelea / 500 * self potencia! !

Object subclass: #PoderVengativo
	instanceVariableNames: 'energiaUtilizada minimosAliadosMuertos'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'DBZ tp'!

!PoderVengativo methodsFor: 'as yet unclassified' stamp: ''!
autoDao: unGuerrero 
	^ (self puntosAtaque: unGuerrero)
		/ 100 * 20 ! !

!PoderVengativo methodsFor: 'as yet unclassified' stamp: ''!
energiaNecesariaDe: unGuerrero 
	^ self energiaUtilizada ! !

!PoderVengativo methodsFor: 'as yet unclassified' stamp: ''!
energiaUtilizada
	^ energiaUtilizada! !

!PoderVengativo methodsFor: 'as yet unclassified' stamp: ''!
minimosAliadosMuertos
	^ minimosAliadosMuertos! !

!PoderVengativo methodsFor: 'as yet unclassified' stamp: ''!
puedeHacerlo: unGuerrero 
	^ unGuerrero energia >= energiaUtilizada & (minimosAliadosMuertos <= unGuerrero aliadosMuertos) & (unGuerrero aliadosVivos > 0)! !

!PoderVengativo methodsFor: 'as yet unclassified' stamp: ''!
puntosAtaque: unGuerrero 
	^ 250 * unGuerrero aliadosMuertos ! !

!PoderVengativo methodsFor: 'as yet unclassified' stamp: ''!
setearEnergiaUtilizada: valor 
	energiaUtilizada := valor! !

Object subclass: #SemillaHermitanio
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'DBZ tp'!

!SemillaHermitanio methodsFor: 'as yet unclassified' stamp: ''!
esComidaPor: unGuerrero 
	(self puedeComerme: unGuerrero)
		ifFalse: [ErrorEnergia new signal
			"El guerrero no puede comer la semilla"].
	self restaura: unGuerrero! !

!SemillaHermitanio methodsFor: 'as yet unclassified' stamp: ''!
puedeComerme: unGuerrero 
	^ (unGuerrero coleccionSemillasHermitanio
		anySatisfy: [:semilla | semilla = self])
		& (unGuerrero energia < 200)! !

!SemillaHermitanio methodsFor: 'as yet unclassified' stamp: ''!
restaura: unGuerrero 
	^ self! !

Object subclass: #ShenLong
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'DBZ tp'!

Object subclass: #Trajes
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'DBZ tp'!

Trajes subclass: #Comun
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'DBZ tp'!

!Comun methodsFor: 'as yet unclassified' stamp: ''!
efecto: unGuerrero daoPor: unPoder 
	^ (unPoder puntosAtaque: unGuerrero)
		* 0.1! !

Comun subclass: #Especial
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'DBZ tp'!

!Especial methodsFor: 'as yet unclassified' stamp: ''!
efecto: unGuerrero daoPor: unPoder 
	^ (super efecto: unGuerrero daoPor: unPoder)
		- 20! !

Trajes subclass: #Entrenamiento
	instanceVariableNames: 'calculoAtaquesRecibidos ataquesRecibidosA ataquesRecibidos'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'DBZ tp'!

!Entrenamiento methodsFor: 'as yet unclassified' stamp: ''!
efecto: unGuerrero daoPor: unPoder 
	unGuerrero calculoAtaquesRecibidos > 0
		ifTrue: [unGuerrero nivelPelea: unGuerrero nivelPelea + (100 * unGuerrero calculoAtaquesRecibidos).
			unGuerrero energia: unGuerrero energia - 20]
		ifFalse: [unGuerrero energia: unGuerrero energia - 20]! !

Trajes subclass: #Ninguno
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'DBZ tp'!

!Ninguno methodsFor: 'as yet unclassified' stamp: ''!
efecto: unGuerrero daoPor: unPoder 
	^ 0! !

!Trajes methodsFor: 'as yet unclassified' stamp: ''!
pasaUnDaoDe: unPoder De: unGuerrero 
	^ (unPoder puntosAtaquePor: unGuerrero)
		- (unGuerrero llevaPuesto efecto: self daoPor: unPoder)! !

Error subclass: #ErrorEnergia
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'DBZ tp'!

!ErrorEnergia methodsFor: 'as yet unclassified' stamp: ''!
metodo: unGuerrero 
	unGuerrero energia > 200 ! !
